<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Advanced Functions</title>
</head>
<body>
    
    <script>

        function greeting(){
            console.log('hello');
        }

        greeting();

        const num = 2;
        const function1 = function greeting(){
            console.log('hello2');
        }
        
        console.log(function1);
        console.log(typeof function1);
        function1();

        // const object1 = {
        //     num : 2,
        //     fun : function(){
        //         console.log('hello3')
        //     }
        // }
        // object1.fun()

        // function display( param ){
        //     console.log(param)
        // }

        // display(2)

        // function run(params) {
        //     param()
        // }

        // run( function(){
        //     console.log('hello4')
        // } )

        setTimeout(() => {
           console.log('timeout') 
           console.log('timeout2')
        }, 3000);

        console.log('next line')

        setInterval(() => {
           console.log('interval') 
        }, 3000);

        console.log('next line 2')

    </script>

</body>
</html>